Bug 1283765 - KickstartError: /usr/bin/firewall-offline-cmd is missing. Cannot Setup firewall.
KickstartError: /usr/bin/firewall-offline-cmd is missing. Cannot Setup firew...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: ISO Installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: Jason Montleon
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-19 13:47 EST by Thom Carlin
Modified: 2016-04-29 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 16:17:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-11-19 13:47:27 EST
Description of problem:

Error during RHCS-I (Sat 6) ISO Install

Version-Release number of selected component (if applicable):

RHCI-6.0-RHEL-7-20151118.t.0

How reproducible:
Uncertain


Steps to Reproduce:
1. Install RHCS-I ISO
2. wait
3.

Actual results:

An unknown error has occurred
KickstartError: /usr/bin/firewall-offline-cmd is missing.  Cannot setup firewall

Expected results:

No error, successful installation

Additional info:

File is actually there with a date of 1/13/2015 and size of 51850
Comment 1 Thom Carlin 2015-11-19 14:22:48 EST
How reproducible: Sporatic
Comment 2 Thom Carlin 2015-11-19 16:28:44 EST
Message is in anaconda logfile
/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py, line 675

It is finding it at iutil.getSysroot() which is /mnt/sysimage.
/mnt/sysimage/usr/bin/firewall-offline-cmd does NOT exist.
/usr/bin/firewall-offline-cmd DOES
Comment 3 Jason Montleon 2016-01-15 16:15:35 EST
Do you still see this?

I see this in the log on my installed host:
anaconda.program.log:18:25:35,630 INFO program: Running... /usr/bin/firewall-offline-cmd --enabled --service=ssh 

This file is provided by firewalld, which is installed:

rpm -q --whatprovides /usr/bin/firewall-offline-cmd 
firewalld-0.3.9-11.el7.noarch
Comment 4 Thom Carlin 2016-01-15 16:17:03 EST
Closing for now.  Will reopen if it recoccurs

Note You need to log in before you can comment on or make changes to this bug.